Workspaces
Get application bootstrap state
Returns an anonymous state when no credential authorized for application bootstrap is present.
GET
/app/bootstrapAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
preferred_workspace_id?string
Workspace to select when it is accessible to the current credential
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/app/bootstrap"{ "$schema": "https://example.com/api/v1/schemas/AppBootstrapOutputBody.json", "authenticated": true, "selected_workspace_id": "string", "selected_workspace_settings": { "avatar_url": "string", "color": "string", "media_cleanup_days": 14, "name": "string", "random_delay_minutes": 0, "slot_end_hour": 0, "slot_interval_minutes": 0, "slot_start_hour": 0, "timezone": "string", "week_start": 0 }, "user": { "avatar_url": "string", "composer_experience": "specialized", "created_at": "2019-08-24T14:15:22Z", "display_name": "string", "email": "string", "email_verified": true, "has_password": true, "id": "string", "is_admin": true, "is_managed": true, "legal_acceptance_required": true, "legal_accepted_at": "2019-08-24T14:15:22Z", "managed_organization_name": "string", "password_usable": true, "privacy_version": "string", "public_profile_enabled": true, "public_profile_visible_fields": [ "string" ], "terms_version": "string", "username": "string" }, "workspaces": [ { "avatar_url": "string", "can_edit": true, "color": "string", "created_at": "string", "id": "string", "name": "string", "organization_id": "string", "organization_name": "string", "role": "admin", "sso_authenticated": true, "sso_identity_linked": true, "sso_provider_id": "string", "sso_provider_name": "string", "sso_required": true } ]}